Skip to content

Register a webhook for project
GA

Request

Register a new webhook for a project. The webhook will be used to communicate updates to resources. Maximum of 15 webhooks allowed per project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

Webhook to register

targetstring, (url), [ 1 .. 742 ] charactersrequired

A valid target url where events should be sent to.

secretstring, [ 1 .. 128 ] charactersrequired

Secret to be used to sign contents of webhooks sent by the provisioning API. You can then use the secret to verify the signature. Please not that secret should have a high entropy to be considered secure.

triggersArray of strings, non-empty, uniquerequired

List of triggers you want to be notified about on your webhook. To be able to listen to all type of events use ALL.

  • Common: ALL
  • Bundles: BUNDLE_DONE
  • WhatsApp Sender: WHATSAPP_SENDER_ACTIVE, WHATSAPP_SENDER_COMMENT_ADDED, WHATSAPP_SENDER_DAILY_LIMIT_CHANGED, WHATSAPP_SENDER_DELETED, WHATSAPP_SENDER_DISPLAY_NAME_UPDATED, WHATSAPP_SENDER_ERROR, WHATSAPP_SENDER_INACTIVE, WHATSAPP_SENDER_PENDING_VERIFICATION, WHATSAPP_SENDER_QUALITY_RATING_CHANGED, WHATSAPP_SENDER_REJECTED or WHATSAPP_SENDER_USERNAME_UPDATED
  • WhatsApp Template: WHATSAPP_TEMPLATE_APPROVED, WHATSAPP_TEMPLATE_CATEGORY_FUTURE_UPDATE, WHATSAPP_TEMPLATE_CATEGORY_UPDATED, WHATSAPP_TEMPLATE_COMMENT_ADDED, WHATSAPP_TEMPLATE_DELETED, WHATSAPP_TEMPLATE_QUALITY_SCORE_UPDATED, WHATSAPP_TEMPLATE_REJECTED or WHATSAPP_TEMPLATE_STATUS_UPDATED
  • WhatsApp Account: WHATSAPP_ACCOUNT_COMMENT_ADDED, WHATSAPP_ACCOUNT_DAILY_LIMIT_CHANGED, WHATSAPP_ACCOUNT_ONBOARDED, WHATSAPP_ACCOUNT_PENDING_VERIFICATION, WHATSAPP_ACCOUNT_REJECTED or WHATSAPP_WABA_ACCOUNT_CHANGED
  • RCS Sender: RCS_BRAND_REGISTRATION_PROCESS_STATUS_UPDATED, RCS_SENDER_COMMENT_ADDED, RCS_SENDER_OPERATOR_STATUS_UPDATED or RCS_SENDER_STATUS_UPDATED
  • KakaoTalk Sender: KAKAOTALK_SENDER_ACTIVE, KAKAOTALK_SENDER_COMMENT_ADDED, KAKAOTALK_SENDER_INACTIVE or KAKAOTALK_SENDER_REJECTED
  • KakaoTalk Template: KAKAOTALK_TEMPLATE_APPROVED, KAKAOTALK_TEMPLATE_COMMENT_ADDED or KAKAOTALK_TEMPLATE_REJECTED
Items Enum ValueDescription
BUNDLE_DONE

Webhook event triggered when a bundle processing flow is completed.

RCS_BRAND_REGISTRATION_PROCESS_STATUS_UPDATED

Webhook event triggered when the RCS brand registration process status changes.

RCS_SENDER_COMMENT_ADDED

Webhook event triggered when a new comment is added to an RCS sender.

RCS_SENDER_OPERATOR_STATUS_UPDATED

Webhook event triggered when an RCS sender operator status changes.

RCS_SENDER_STATUS_UPDATED

Webhook event triggered when an RCS sender status changes.

RCS_ACCOUNT_COMMENT_ADDED

Webhook event triggered when a new comment is added to an RCS account.

KAKAOTALK_SENDER_ACTIVE

Webhook event triggered when a KakaoTalk sender becomes active.

KAKAOTALK_SENDER_INACTIVE

Webhook event triggered when a KakaoTalk sender becomes inactive.

KAKAOTALK_SENDER_REJECTED

Webhook event triggered when a KakaoTalk sender is rejected.

KAKAOTALK_SENDER_COMMENT_ADDED

Webhook event triggered when a new comment is added to a KakaoTalk sender.

KAKAOTALK_TEMPLATE_APPROVED

Webhook event triggered when a KakaoTalk template is approved.

KAKAOTALK_TEMPLATE_COMMENT_ADDED

Webhook event triggered when a new comment is added to a KakaoTalk template.

KAKAOTALK_TEMPLATE_REJECTED

Webhook event triggered when a KakaoTalk template is rejected.

WHATSAPP_ACCOUNT_ONBOARDED

Webhook event triggered when a WhatsApp account onboarding is completed.

WHATSAPP_ACCOUNT_PENDING_VERIFICATION

Webhook event triggered when a WhatsApp account is pending verification.

WHATSAPP_ACCOUNT_REJECTED

Webhook event triggered when a WhatsApp account is rejected.

WHATSAPP_ACCOUNT_COMMENT_ADDED

Webhook event triggered when a new comment is added to a WhatsApp account.

WHATSAPP_ACCOUNT_DAILY_LIMIT_CHANGED

Webhook event triggered when a WhatsApp account daily messaging limit changes.

WHATSAPP_WABA_ACCOUNT_CHANGED

Webhook event triggered when the linked WhatsApp Business Account changes.

WHATSAPP_SENDER_ACTIVE

Webhook event triggered when a WhatsApp sender becomes active.

WHATSAPP_SENDER_INACTIVE

Webhook event triggered when a WhatsApp sender becomes inactive.

WHATSAPP_SENDER_REJECTED

Webhook event triggered when a WhatsApp sender is rejected.

WHATSAPP_SENDER_DELETED

Webhook event triggered when a WhatsApp sender is deleted.

WHATSAPP_SENDER_DISPLAY_NAME_UPDATED

Webhook event triggered when a WhatsApp sender display name is updated.

WHATSAPP_SENDER_ERROR

Webhook event triggered when a WhatsApp sender enters an error state.

WHATSAPP_SENDER_PENDING_VERIFICATION

Webhook event triggered when a WhatsApp sender is pending verification.

WHATSAPP_SENDER_COMMENT_ADDED

Webhook event triggered when a new comment is added to a WhatsApp sender.

WHATSAPP_SENDER_DAILY_LIMIT_CHANGED

Webhook event triggered when a WhatsApp sender daily messaging limit changes.

WHATSAPP_SENDER_QUALITY_RATING_CHANGED

Webhook event triggered when a WhatsApp sender quality rating changes.

WHATSAPP_SENDER_USERNAME_UPDATED

Webhook event triggered when a WhatsApp sender username is updated.

WHATSAPP_TEMPLATE_APPROVED

Webhook event triggered when a WhatsApp template is approved.

WHATSAPP_TEMPLATE_REJECTED

Webhook event triggered when a WhatsApp template is rejected.

WHATSAPP_TEMPLATE_DELETED

Webhook event triggered when a WhatsApp template is deleted.

WHATSAPP_TEMPLATE_COMMENT_ADDED

Webhook event triggered when a new comment is added to a WhatsApp template.

WHATSAPP_TEMPLATE_STATUS_UPDATED

Webhook event triggered when a WhatsApp template status changes.

WHATSAPP_TEMPLATE_CATEGORY_UPDATED

Webhook event triggered when a WhatsApp template category changes.

WHATSAPP_TEMPLATE_CATEGORY_FUTURE_UPDATE

Webhook event triggered when a future WhatsApp template category update is scheduled.

WHATSAPP_TEMPLATE_QUALITY_SCORE_UPDATED

Webhook event triggered when a WhatsApp template quality score changes.

ALL

Webhook event triggered for all supported events.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/webhooks' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "secret": "{{WEBHOOK_SECRET}}",
    "target": "https://my.server.com/callback",
    "triggers": [
      "ALL"
    ]
  }'

Responses

Webhook created

Bodyapplication/json
idstringrequired

The ID of the webhook.

targetstringrequired

The target url where events will be sent to.

projectIdstringrequired

The project that this webhook belongs to.

triggersArray of strings, uniquerequired

List of triggers this webhook is triggered by.

Items Enum ValueDescription
BUNDLE_DONE

Webhook event triggered when a bundle processing flow is completed.

RCS_BRAND_REGISTRATION_PROCESS_STATUS_UPDATED

Webhook event triggered when the RCS brand registration process status changes.

RCS_SENDER_COMMENT_ADDED

Webhook event triggered when a new comment is added to an RCS sender.

RCS_SENDER_OPERATOR_STATUS_UPDATED

Webhook event triggered when an RCS sender operator status changes.

RCS_SENDER_STATUS_UPDATED

Webhook event triggered when an RCS sender status changes.

RCS_ACCOUNT_COMMENT_ADDED

Webhook event triggered when a new comment is added to an RCS account.

KAKAOTALK_SENDER_ACTIVE

Webhook event triggered when a KakaoTalk sender becomes active.

KAKAOTALK_SENDER_INACTIVE

Webhook event triggered when a KakaoTalk sender becomes inactive.

KAKAOTALK_SENDER_REJECTED

Webhook event triggered when a KakaoTalk sender is rejected.

KAKAOTALK_SENDER_COMMENT_ADDED

Webhook event triggered when a new comment is added to a KakaoTalk sender.

KAKAOTALK_TEMPLATE_APPROVED

Webhook event triggered when a KakaoTalk template is approved.

KAKAOTALK_TEMPLATE_COMMENT_ADDED

Webhook event triggered when a new comment is added to a KakaoTalk template.

KAKAOTALK_TEMPLATE_REJECTED

Webhook event triggered when a KakaoTalk template is rejected.

WHATSAPP_ACCOUNT_ONBOARDED

Webhook event triggered when a WhatsApp account onboarding is completed.

WHATSAPP_ACCOUNT_PENDING_VERIFICATION

Webhook event triggered when a WhatsApp account is pending verification.

WHATSAPP_ACCOUNT_REJECTED

Webhook event triggered when a WhatsApp account is rejected.

WHATSAPP_ACCOUNT_COMMENT_ADDED

Webhook event triggered when a new comment is added to a WhatsApp account.

WHATSAPP_ACCOUNT_DAILY_LIMIT_CHANGED

Webhook event triggered when a WhatsApp account daily messaging limit changes.

WHATSAPP_WABA_ACCOUNT_CHANGED

Webhook event triggered when the linked WhatsApp Business Account changes.

WHATSAPP_SENDER_ACTIVE

Webhook event triggered when a WhatsApp sender becomes active.

WHATSAPP_SENDER_INACTIVE

Webhook event triggered when a WhatsApp sender becomes inactive.

WHATSAPP_SENDER_REJECTED

Webhook event triggered when a WhatsApp sender is rejected.

WHATSAPP_SENDER_DELETED

Webhook event triggered when a WhatsApp sender is deleted.

WHATSAPP_SENDER_DISPLAY_NAME_UPDATED

Webhook event triggered when a WhatsApp sender display name is updated.

WHATSAPP_SENDER_ERROR

Webhook event triggered when a WhatsApp sender enters an error state.

WHATSAPP_SENDER_PENDING_VERIFICATION

Webhook event triggered when a WhatsApp sender is pending verification.

WHATSAPP_SENDER_COMMENT_ADDED

Webhook event triggered when a new comment is added to a WhatsApp sender.

WHATSAPP_SENDER_DAILY_LIMIT_CHANGED

Webhook event triggered when a WhatsApp sender daily messaging limit changes.

WHATSAPP_SENDER_QUALITY_RATING_CHANGED

Webhook event triggered when a WhatsApp sender quality rating changes.

WHATSAPP_SENDER_USERNAME_UPDATED

Webhook event triggered when a WhatsApp sender username is updated.

WHATSAPP_TEMPLATE_APPROVED

Webhook event triggered when a WhatsApp template is approved.

WHATSAPP_TEMPLATE_REJECTED

Webhook event triggered when a WhatsApp template is rejected.

WHATSAPP_TEMPLATE_DELETED

Webhook event triggered when a WhatsApp template is deleted.

WHATSAPP_TEMPLATE_COMMENT_ADDED

Webhook event triggered when a new comment is added to a WhatsApp template.

WHATSAPP_TEMPLATE_STATUS_UPDATED

Webhook event triggered when a WhatsApp template status changes.

WHATSAPP_TEMPLATE_CATEGORY_UPDATED

Webhook event triggered when a WhatsApp template category changes.

WHATSAPP_TEMPLATE_CATEGORY_FUTURE_UPDATE

Webhook event triggered when a future WhatsApp template category update is scheduled.

WHATSAPP_TEMPLATE_QUALITY_SCORE_UPDATED

Webhook event triggered when a WhatsApp template quality score changes.

ALL

Webhook event triggered for all supported events.

Response

Example of a response when registering for all triggers.

{ "id": "{{WEBHOOK_ID}}", "projectId": "{{PROJECT_ID}}", "target": "https://my.server.com/callback", "triggers": [ "ALL" ] }
We'd love to hear from you!
Rate this content: